Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 05 May 2022 06:36:32 +0000

Hi Athar Mubark,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Greetings, 

How can I cancel a click & collect order? I have ordered through click & collect 7368905550 and 7368905590 and it has been 2 business days already and the order is not ready yet. If I know this service will take this long I wouldn't have ordered, as it is the same or may be even more wait time than home delivery orders. 

Your assistance is highly appreciated, 

Best Regards, 

Fahad Bahar https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4312144